package eu.dnetlib.openaire.dsm.dao;

import java.util.List;

import eu.dnetlib.enabling.datasources.common.AggregationInfo;
import eu.dnetlib.enabling.datasources.common.DsmException;
import eu.dnetlib.openaire.dsm.domain.AggregationInfoV1;

public interface MongoLoggerClient {

	List<AggregationInfoV1> getAggregationHistoryV1(final String dsId) throws DsmException;

	List<AggregationInfo> getAggregationHistoryV2(final String dsId) throws DsmException;

	void dropCache();

}
